Skip to main content
`Ctrl`+`K`

# PetscDSGetExactSolutionTimeDerivative

Get the pointwise time derivative of the exact solution function for a given test field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetExactSolutionTimeDerivative(PetscDS prob, PetscInt f, PetscErrorCode (**sol)(PetscInt dim, PetscReal t, const PetscReal x[], PetscInt Nc, PetscScalar u[], void *ctx), void **ctx)

Not Collective

## Input Parameters

- prob - The `PetscDS`

- f - The test field number

## Output Parameters

- sol - time derivative of the exact solution for the test field

- ctx - time derivative of the exact solution context

## Calling sequence of `exactSol`

- dim - the spatial dimension

- t - current time

- x - coordinates of the current point

- Nc - the number of field components

- u - the solution field evaluated at the current point

- ctx - a user context

## See Also

`PetscDS`, `PetscDSSetExactSolutionTimeDerivative()`, `PetscDSGetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages